14.12.2014 13:20    

alumina
tabiki yapabiliriz. Odemeyi siz mi yapacaksiniz? :)

06.02.2015 06:16    

k005
Günaydın Dostlar,,


Pline ile alan dönüp ve bu alanı "Solid" taraması yapan bir lisp gerekiyor..

Alan dönüşünden son noktaya tıklandığında , Dönülen alan içini solid taraması yapsın. ve sonlansın.

Yardımcı arkadaşa şimdiden teşekkürler, herkese kolay gelsin.

06.02.2015 15:39    

alumina
Kod:

(defun c:ph (/ ls)
(defun *error* (er) (setq *error* nil)) (setvar "cmdecho" 0)
(setq pt (getpoint))
(while
(/= pt nil)
(setq ls (cons pt ls) pt (getpoint)))
(vl-cmdf "._pline")
(foreach ls1 ls
(vl-cmdf ls1))
(command "close"
         "._hatch" "solid" (entlast) "")
(princ))

06.02.2015 15:56    

Travaci
Alumina o error trap ne için :D

06.02.2015 16:34    

alumina
komutu yarida keserse temiz bir cikis yapmasi icin :)

06.02.2015 17:10    

Travaci
Eminmisin :)

06.02.2015 17:39    

alumina
cok kenarli bir poligon icin 3-4 tane nokta sectikten sonra vazgecip escape yaparsa ; error: Function cancelled iletisinin cikmamasi icin. Eminim :)

alumina (06.02.2015 20:35 GMT)

06.02.2015 20:26    

raskoln
elimde 4-5 tane lisp var o lispleri bir userform üzerine yerleştirip tek program haline getirebilmemiz mümkünmüdür.nasıl yapabilirim

07.02.2015 06:07    

k005
alumina


AutoCAD LT olduğu için Lispi deneyemedim. Ama Büyük olasılıkla çalışır sanıyorum. Hocam çok teşekkür ediyorum,,. Mesajı Tekrar Güncellerim. Saygılar.

07.02.2015 07:06    

alumina
Calisir saniyorum ne demek ya. ask olsun :)

07.02.2015 07:43    

k005
Alıntı
alumina :
Calisir saniyorum ne demek ya. ask olsun :)



:)

07.02.2015 07:51    

raskoln
Alıntı
raskoln :
elimde 4-5 tane lisp var o lispleri bir userform üzerine yerleştirip tek program haline getirebilmemiz mümkünmüdür.nasıl yapabilirim

07.02.2015 09:17    

ehya
mümkün değil raskoln...

07.02.2015 11:28    

raskoln
NEDEN MÜMKÜN DEĞİLDİR AÇIKLAYABİLİRMİSİNİZ.

07.02.2015 12:26    

ehya
Hayır. Açıklamam..

07.02.2015 15:47    

raskoln
neden açıklayamazsın

09.02.2015 11:42    

volkan_25
(defun c:tll ()
(command "_.LAYER" "_off" "ol1" "_ON" "ol1" "_Set" "ol1" "_Thaw" "ol1" "_ON" "ol1" "_Set" "ol1" "")
(setq olayer (getvar "clayer"))
(setvar "clayer" "ol1")
(COMMAND "_dimlinear" pause pause pause)(COMMAND "_dimcontinue"))
(setvar "clayer"olaler)
(princ)



böyle bir lisp yazdım ama acemi olduğum için current layeri tanıyıp ol1 layerini current yapıp tekrar eski layere dönmesini istedim ama olmadı yardım edebilirseniz sevinirim

09.02.2015 11:54    

Travaci
volkan_25


Yaptığın şekilde olabiliterisini şu lipsle kıyaslayabilirsin;

09.02.2015 13:54    

alumina
Kod:

(defun c:tll (/)
(setq oldcly (getvar "clayer"))
(setvar "clayer" "a1")
(command "._dimlinear" pause pause pause)
(setvar "clayer" oldcly)
(princ))

09.02.2015 15:30    

ehya
Bu da benden olsun.
Farklı bir yoldan yazdım. Belki birisine lazım olur :)

Kod:

(defun c:tll ()
(setq cl (getvar "clayer"))
  (while (= (getvar "cmdactive") 0)
    (setvar "clayer" "a1")
    (command "dimlinear")
    )
  (setvar "clayer" cl)
  (princ))

Önceki Sayfa [1] [2] [3] [4] [5] [6] [7] [8] [9] [10] [15] [20] [25] [30] [35] [40] [45] [50] [55] > 60 < [65] [70] [75] [80] [85] [90] [95] [100] Sonraki Sayfa
Copyright © 2004-2022 SQL: 1.711 saniye - Sorgu: 102 - Ortalama: 0.01678 saniye